Bug 152397 - [maintainer update] syntax error in net/ifdepd startscript
Summary: [maintainer update] syntax error in net/ifdepd startscript
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-19 09:40 UTC by alex
Modified: 2010-11-21 23:00 UTC (History)
0 users

See Also:


Attachments
file.diff (331 bytes, patch)
2010-11-19 09:40 UTC, alex
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2010-11-19 09:40:10 UTC
There is a syntax error in the ifdepd startscript (/usr/local/etc/rc.d/ifdepd) line 39 (39: Syntax error: Unterminated quoted string)

ifdepd_enable=${ifdepd_enable:"NO"} should be
ifdepd_enable=${ifdepd_enable:-"NO"}

Thanks to Arjan van der Oest for spotting this.

Fix: diff -ruN ifdepd.old/files/ifdepd.in ifdepd/files/ifdepd.in
--- ifdepd.old/files/ifdepd.in  2010-05-03 10:52:58.057720000 +0200
+++ ifdepd/files/ifdepd.in      2010-11-19 10:10:54.185505101 +0100
@@ -36,6 +36,6 @@

 load_rc_config $name

-ifdepd_enable=${ifdepd_enable:"NO"}
+ifdepd_enable=${ifdepd_enable:-"NO"}

 run_rc_command "$1"


Patch attached with submission follows:
How-To-Repeat: see "Full Description"
Comment 1 Nicola Vitale freebsd_committer 2010-11-20 22:01:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

I will take it.
Comment 2 dfilter service freebsd_committer 2010-11-21 22:55:18 UTC
nivit       2010-11-21 22:55:13 UTC

  FreeBSD ports repository

  Modified files:
    net/ifdepd           Makefile distinfo 
    net/ifdepd/files     ifdepd.in 
  Log:
  - Fix a syntax error in the ifdepd startup script
  - Bump PORTREVISION
  - Remove the MD5 checksum from distinfo
  
  PR:             ports/152397
  Submitted by:   Alexander Hausner <alex@hugo.bmg.gv.at> (maintainer)
  
  Revision  Changes    Path
  1.7       +1 -1      ports/net/ifdepd/Makefile
  1.4       +0 -1      ports/net/ifdepd/distinfo
  1.4       +2 -2      ports/net/ifdepd/files/ifdepd.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Nicola Vitale freebsd_committer 2010-11-21 22:55:46 UTC
State Changed
From-To: open->closed

Committed, thanks!